package new_mobile_api_controllers

import (
	"github.com/astaxie/beego"
)

func CommonApiControllersRegisterRouters() {

	beego.Router("/com/api/getinspectionmajor", &CommonApiController{}, "Get:GetInspectionMajor")
	beego.Router("/com/api/getinspectionminor", &CommonApiController{}, "Get:GetInspectionMinor")
	beego.Router("/com/api/getinspectionrange", &CommonApiController{}, "Get:GetInspectionRange")
	beego.Router("/com/api/saveconfiguration", &CommonApiController{}, "Post:SaveConfiguration")
	beego.Router("com/api/getconfigurationlist", &CommonApiController{}, "Get:GetConfigurationlist")
	beego.Router("com/api/getconfigurationdetail", &CommonApiController{}, "Get:GetConfigurationDetail")
	beego.Router("com/api/getallinspectionminor", &CommonApiController{}, "Get:GetAllInspectionminor")
	beego.Router("com/api/updateconfiguration", &CommonApiController{}, "Post:UpdateConfiguration")
	beego.Router("com/api/deleteconfiguration", &CommonApiController{}, "Delete:DeleteConfiguration")
	beego.Router("com/api/getallinspectiondata", &CommonApiController{}, "Get:GetAllInspectiondata")
	beego.Router("/com/api/savecheckconfiguration", &CommonApiController{}, "Post:SaveCheckConfiguration")
	beego.Router("/com/api/getallchecklist", &CommonApiController{}, "Get:GetAllCheckList")
	beego.Router("/com/api/getcheckdetail", &CommonApiController{}, "Get:GetCheckdetail")
	beego.Router("/com/api/updatecheck", &CommonApiController{}, "Post:UpdateCheck")
	beego.Router("/com/api/deletecheck", &CommonApiController{}, "Delete:DeleteCheck")
	beego.Router("/com/api/getdialysismodetype", &CommonApiController{}, "Get:GetDialysisModeType")
	beego.Router("/com/api/gettotallapsecount", &CommonApiController{}, "Get:GetTotalLapseCount")
	beego.Router("/com/api/gettotalsexcount", &CommonApiController{}, "Get:GetTotalSexCount")
	beego.Router("/com/api/gettoalinfectiouscount", &CommonApiController{}, "Get:GetTotalInfectiouscount")
	beego.Router("/com/api/gettotalagecount", &CommonApiController{}, "Get:GetTotalAgeCount")
	beego.Router("/com/api/gettotaldialysiscount", &CommonApiController{}, "Get:GetTotalDialysisCount")
	beego.Router("/com/api/getcurentorgpatients", &CommonApiController{}, "Get:GetCurentOrgPatients")
	beego.Router("/com/api/getdialysislist", &CommonApiController{}, "Get:GetDialysislist")
	beego.Router("/com/api/getlastsort", &CommonApiController{}, "Get:GetLastSort")
	beego.Router("/com/api/getlastchecklist", &CommonApiController{}, "Get:GetLastCheckList")
	beego.Router("/com/api/getdialysisdetailbyid", &CommonApiController{}, "Get:GetDialysisDetailById")
	beego.Router("/com/api/getprescriptionbyname", &CommonApiController{}, "Get:GetPrescritionByName")
	beego.Router("/com/api/getstatistics", &CommonApiController{}, "Get:GetStatistics")
	beego.Router("/com/api/getinspectiontotalcount", &CommonApiController{}, "Get:GetInspectionTatolCount")
	beego.Router("/com/api/getinspectionDetailById", &CommonApiController{}, "Get:GetInspectionDetailById")
	beego.Router("/com/api/getsearchpatientinfo", &CommonApiController{}, "Get:GetSearchPatientInfo")
	beego.Router("/com/api/getallmajorInspection", &CommonApiController{}, "Get:GetAllMajorInspection")
	beego.Router("/com/api/getpatientlist", &CommonApiController{}, "Get:GetPatientList")
	beego.Router("/com/api/getPatientDetailCheck", &CommonApiController{}, "Get:GetPatientDetailCheck")
	beego.Router("/com/api/searchdetailcheck", &CommonApiController{}, "Get:GetSearchDetailCheck")
	beego.Router("/com/api/getnormdata", &CommonApiController{}, "Get:GetNormData")
	beego.Router("/com/api/getfirstquarter", &CommonApiController{}, "Get:GetFirstQuarter")
	beego.Router("/com/api/getprojectlist", &CommonApiController{}, "Get:GetProjectList")
	beego.Router("/com/api/getmonthprojectlist", &CommonApiController{}, "Get:GetMonthProjectList")
	beego.Router("/com/api/getpatientscontrol", &CommonApiController{}, "Get:GetPatientscontrol")
	beego.Router("/com/api/getcartogramlist", &CommonApiController{}, "Get:GetCartogramList")
	beego.Router("/com/api/getpatientcontor", &CommonApiController{}, "Get:GetPatientContor")
	beego.Router("/com/api/getqualitycontrol", &CommonApiController{}, "Get:GetQualityControl")
	beego.Router("/com/api/gettreatlist", &CommonApiController{}, "Get:GetTreatlist")
	beego.Router("/com/api/getpatientcompliancedetal", &CommonApiController{}, "Get:GetPatientComplianceDetail")
	beego.Router("/com/api/getbloodpressuredetail", &CommonApiController{}, "Get:GetBloodPressureDetail")
	beego.Router("/com/api/updatebloodprussre", &CommonApiController{}, "Post:UpdateBloodPrussre")
	beego.Router("/com/api/getbloodpressurelist", &CommonApiController{}, "Get:GetBloodPressureList")
	beego.Router("/com/api/getmonthbloodlist", &CommonApiController{}, "Get:GetMonthBloodList")
	beego.Router("/com/api/getidslist", &CommonApiController{}, "Post:GetIdsListTwo")
	beego.Router("/com/api/getreatmodelist", &CommonApiController{}, "Get:GetTreatModeList")
	beego.Router("/com/api/getcountmodeid", &CommonApiController{}, "Get:GetCountModeId")
	beego.Router("/com/api/getrolloutcount", &CommonApiController{}, "Get:GetRolloutCount")
}
